OpenNMS::Release::FileRepo(3pm)

NAME
OpenNMS::Release::FileRepo - Perl extension that represents a source repository

SYNOPSIS
  use OpenNMS::Release::FileRepo;

DESCRIPTION
This represents an individual source repository.

CONSTRUCTOR
OpenNMS::Release::FileRepo->new($base);

Create a new Repo object. You can add and remove tarballs to/from it, re-index it, and so on.

base - the top-level path for the repository

METHODS

  * path
The path of the repository.

  * to_string
A convenient way of displaying the repository.

  * index({options})
No-op, source repositories don't get indexed.

AUTHOR
Benjamin Reed <ranger@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.